package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.ProjectInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface ProjectInfoDAO {
	int insert(ProjectInfo entity);
	int update(ProjectInfo entity);
	int exist(String id);
	ProjectInfo get(String id);
	int delete(String id);
	List<ProjectInfo> list();
	List<ProjectInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    ProjectInfo findOneByCompanyId(String companyId);

	ProjectInfo findOneByProjectCode(String projectCode);
}